Bug 980121 - Rhythmbox crashes when connecting to iOS device
Rhythmbox crashes when connecting to iOS device
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:6ad8d50d0925d7098e731693952...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 09:10 EDT by Radoslav Husar
Modified: 2016-09-21 12:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:46:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (55.42 KB, text/plain)
2013-07-01 09:10 EDT, Radoslav Husar
no flags Details
File: cgroup (141 bytes, text/plain)
2013-07-01 09:10 EDT, Radoslav Husar
no flags Details
File: core_backtrace (5.04 KB, text/plain)
2013-07-01 09:10 EDT, Radoslav Husar
no flags Details
File: dso_list (24.39 KB, text/plain)
2013-07-01 09:10 EDT, Radoslav Husar
no flags Details
File: environ (2.12 KB, text/plain)
2013-07-01 09:10 EDT, Radoslav Husar
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-01 09:11 EDT, Radoslav Husar
no flags Details
File: maps (110.43 KB, text/plain)
2013-07-01 09:11 EDT, Radoslav Husar
no flags Details
File: open_fds (1.64 KB, text/plain)
2013-07-01 09:11 EDT, Radoslav Husar
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2013-07-01 09:11 EDT, Radoslav Husar
no flags Details
File: var_log_messages (6.38 KB, text/plain)
2013-07-01 09:11 EDT, Radoslav Husar
no flags Details

  None (edit)
Description Radoslav Husar 2013-07-01 09:10:31 EDT
Description of problem:
# start rhythmbox
# connect apple ios 6 device
# drag & drop songs from rhytmbox library on to the device
# crash

Version-Release number of selected component:
rhythmbox-2.99.1-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: lockdownd_start_service
executable:     /usr/bin/rhythmbox
kernel:         3.9.8-300.fc19.x86_64
runlevel:       N 5
uid:            13346
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 lockdownd_start_service at lockdown.c:1518
 #1 itdb_iphone_start_sync at itdb_iphone.c:105
 #2 itdb_start_sync at itdb_itunesdb.c:6299
 #3 rb_ipod_db_save_async at rb-ipod-db.c:903
 #4 rb_ipod_db_add_track_internal at rb-ipod-db.c:421
 #5 rb_ipod_db_add_track at rb-ipod-db.c:465
 #6 impl_track_added at rb-ipod-source.c:1644
 #7 rb_transfer_target_track_added at rb-transfer-target.c:137
 #8 rb_marshal_VOID__BOXED_STRING_UINT64_STRING_POINTER at rb-marshal.c:1327
 #13 track_transfer_completed at rb-track-transfer-batch.c:486
Comment 1 Radoslav Husar 2013-07-01 09:10:35 EDT
Created attachment 767397 [details]
File: backtrace
Comment 2 Radoslav Husar 2013-07-01 09:10:38 EDT
Created attachment 767398 [details]
File: cgroup
Comment 3 Radoslav Husar 2013-07-01 09:10:41 EDT
Created attachment 767399 [details]
File: core_backtrace
Comment 4 Radoslav Husar 2013-07-01 09:10:51 EDT
Created attachment 767400 [details]
File: dso_list
Comment 5 Radoslav Husar 2013-07-01 09:10:56 EDT
Created attachment 767401 [details]
File: environ
Comment 6 Radoslav Husar 2013-07-01 09:11:01 EDT
Created attachment 767402 [details]
File: limits
Comment 7 Radoslav Husar 2013-07-01 09:11:06 EDT
Created attachment 767403 [details]
File: maps
Comment 8 Radoslav Husar 2013-07-01 09:11:09 EDT
Created attachment 767404 [details]
File: open_fds
Comment 9 Radoslav Husar 2013-07-01 09:11:13 EDT
Created attachment 767405 [details]
File: proc_pid_status
Comment 10 Radoslav Husar 2013-07-01 09:11:19 EDT
Created attachment 767406 [details]
File: var_log_messages
Comment 11 benjaminfogel 2013-07-04 07:48:47 EDT
Connected my iPod to the laptop. Tried to browse the songs on it. Segfault occurred.

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: lockdownd_start_service
executable:     /usr/bin/rhythmbox
kernel:         3.9.8-300.fc19.x86_64
package:        rhythmbox-2.99.1-1.fc19
reason:         Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
xsession_errors:
Comment 12 Ken Dubrick 2013-07-12 01:04:42 EDT
adding music...160GB

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: lockdownd_start_service
executable:     /usr/bin/rhythmbox
kernel:         3.9.9-301.fc19.i686.PAE
package:        rhythmbox-2.99.1-1.fc19
reason:         Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
Comment 13 David Timms 2013-07-16 08:46:14 EDT
plugins|enable ipod connectivity.
found unitialized ipod
want to initialize ?
type ipod 16GB
myPhone
Yes.

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        rhythmbox
crash_function: lockdownd_start_service
executable:     /usr/bin/rhythmbox
kernel:         3.9.9-302.fc19.x86_64
package:        rhythmbox-2.99.1-1.fc19
reason:         Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            1000
xsession_errors:
Comment 14 Sebastian Dziallas 2013-07-20 08:53:04 EDT
Seeing this issue here as well.
Comment 15 Sebastian Dziallas 2013-08-29 03:48:03 EDT
Ping? Is there any other information that would be helpful for you to have for this?
Comment 16 Fedora End Of Life 2015-01-09 13:36:09 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-02-17 10:46:24 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.